C0CCCR0	; CCDCCR/GPL - CCR TEMPLATE AND ACCESS ROUTINES; 5/31/08
 ;;1.0;C0C;;May 19, 2009;
 ;Copyright 2008,2009 George Lilly, University of Minnesota.
 ;Licensed under the terms of the GNU General Public License.
 ;See attached copy of the License.
 ;
 ;This program is free software; you can redistribute it and/or modify
 ;it under the terms of the GNU General Public License as published by
 ;the Free Software Foundation; either version 2 of the License, or
 ;(at your option) any later version.
 ;
 ;This program is distributed in the hope that it will be useful,
 ;but WITHOUT ANY WARRANTY; without even the implied warranty of
 ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ;GNU General Public License for more details.
 ;
 ;You should have received a copy of the GNU General Public License along
 ;with this program; if not, write to the Free Software Foundation, Inc.,
 ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 ;
 W "This is a CCR TEMPLATE with processing routines",!
 W !
 Q
 ;
ZT(ZARY,BAT,LINE)	      ; private routine to add a line to the ZARY array
 ; ZARY IS PASSED BY NAME
 ; BAT is a string identifying the section
 ; LINE is a test which will evaluate to true or false
 ; I '$G(@ZARY) D  ;
 ; . S @ZARY@(0)=0 ; initially there are no elements
 ; . W "GOT HERE LOADING "_LINE,!
 N CNT ; count of array elements
 S CNT=@ZARY@(0) ; contains array count
 S CNT=CNT+1 ; increment count
 S @ZARY@(CNT)=LINE ; put the line in the array
 ; S @ZARY@(BAT,CNT)="" ; index the test by battery
 S @ZARY@(0)=CNT ; update the array counter
 Q
 ;
ZLOAD(ZARY,ROUTINE)	     ; load tests into ZARY which is passed by reference
 ; ZARY IS PASSED BY NAME
 ; ZARY = name of the root, closed array format (e.g., "^TMP($J)")
 ; ROUTINE = NAME OF THE ROUTINE - PASSED BY VALUE
 K @ZARY S @ZARY=""
 S @ZARY@(0)=0 ; initialize array count
 N LINE,LABEL,BODY
 N INTEST S INTEST=0 ; switch for in the TEMPLATE section
 N SECTION S SECTION="[anonymous]" ; NO section LABEL
 ;
 N NUM F NUM=1:1 S LINE=$T(+NUM^@ROUTINE) Q:LINE=""  D
 . I LINE?." "1";<TEMPLATE>".E S INTEST=1 ; entering section
 . I LINE?." "1";</TEMPLATE>".E S INTEST=0 ; leaving section
 . I INTEST  D  ; within the section
 . . I LINE?." "1";><".E  D  ; sub-section name found
 . . . S SECTION=$P($P(LINE,";><",2),">",1) ; pull out name
 . . I LINE?." "1";;".E  D  ; line found
 . . . D ZT(ZARY,SECTION,$P(LINE,";;",2)) ; put the line in the array
 Q
 ;
LOAD(ARY)	      ; LOAD A CCR TEMPLATE INTO ARY PASSED BY NAME
 D ZLOAD(ARY,"C0CCCR0")
 ; ZWR @ARY
 Q
 ;
 ;<TEMPLATE>
 ;;<?xml version="1.0" encoding="UTF-8"?>
 ;;<?xml-stylesheet type="text/xsl" href="ccr.xsl"?>
 ;;<ContinuityOfCareRecord xmlns="urn:astm-org:CCR">
 ;;<CCRDocumentObjectID>871bd605-e8f8-4b80-9918-4b03f781129e</CCRDocumentObjectID>
 ;;<Language>
 ;;<Text>English</Text>
 ;;</Language>
 ;;<Version>V1.0</Version>
 ;;<DateTime>
 ;;<ExactDateTime>@@DATETIME@@</ExactDateTime>
 ;;</DateTime>
 ;;<Patient>
 ;;<ActorID>@@ACTORPATIENT@@</ActorID>
 ;;</Patient>
 ;;<From>
 ;;<ActorLink>
 ;;<ActorID>@@ACTORFROM@@</ActorID>
 ;;</ActorLink>
 ;;<ActorLink>
 ;;<ActorID>@@ACTORFROM2@@</ActorID>
 ;;</ActorLink>
 ;;</From>
 ;;<To>
 ;;<ActorLink>
 ;;<ActorID>@@ACTORTO@@</ActorID>
 ;;<ActorRole>
 ;;<Text>@@ACTORTOTEXT@@</Text>
 ;;</ActorRole>
 ;;</ActorLink>
 ;;</To>
 ;;<Purpose>
 ;;<Description>
 ;;<Text>@@PURPOSEDESCRIPTION@@</Text>
 ;;</Description>
 ;;</Purpose>
 ;;<Body>
 ;;<Problems>
 ;;<Problem>
 ;;<CCRDataObjectID>@@PROBLEMOBJECTID@@</CCRDataObjectID>
 ;;<Type>
 ;;<Text>Problem</Text>
 ;;</Type>
 ;;<Status>
 ;;<Text>@@PROBLEMSTATUS@@</Text>
 ;;</Status>
 ;;<Description>
 ;;<Text>@@PROBLEMDESCRIPTION@@</Text>
 ;;<Code>
 ;;<Value>@@PROBLEMCODEVALUE@@</Value>
 ;;<CodingSystem>ICD9CM</CodingSystem>
 ;;<Version>@@PROBLEMCODINGVERSION@@</Version>
 ;;</Code>
 ;;</Description>
 ;;<DateTime>
 ;;<ExactDateTime>@@PROBLEMDATEMOD@@</ExactDateTime>
 ;;</DateTime>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@PROBLEMSOURCEACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Problem>
 ;;</Problems>
 ;;<Immunizations>
 ;;<Immunization>
 ;;<CCRDataObjectID>@@IMMUNEOBJECTID@@</CCRDataObjectID>
 ;;<DateTime>
 ;;<Type>
 ;;<Text>@@IMMUNEDATETIMETYPETEXT@@</Text>
 ;;</Type>
 ;;<ExactDateTime>@@IMMUNEDATETIME@@</ExactDateTime>
 ;;</DateTime>
 ;;<Source><Actor><ActorID>@@IMMUNESOURCEACTORID@@</ActorID></Actor></Source>
 ;;<Product>
 ;;<ProductName>
 ;;<Text>@@IMMUNEPRODUCTNAMETEXT@@</Text>
 ;;<Code>
 ;;<Value>@@IMMUNEPRODUCTCODE@@</Value>
 ;;<CodingSystem>@@IMMUNEPRODUCTCODESYSTEM@@</CodingSystem>
 ;;</Code>
 ;;</ProductName>
 ;;</Product>
 ;;</Immunization>
 ;;</Immunizations>
 ;;<FamilyHistory>
 ;;<FamilyProblemHistory>
 ;;<CCRDataObjectID>@@FAMILYHISTORYOBJECTID@@</CCRDataObjectID>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@FAMILYHISTORYACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;<FamilyMember>
 ;;<ActorID>@@FAMILYMEMBERACTORID@@</ActorID>
 ;;<ActorRole>
 ;;<Text>@@FAMILYMEMBERACTORROLETEXT@@</Text>
 ;;</ActorRole>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@FAMILYMEMBERSOURCACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</FamilyMember>
 ;;<Problem>
 ;;<Type>
 ;;<Text>Problem</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>@@FAMILYMEMBERPROBLEMDESCRIPTION@@</Text>
 ;;<Code>
 ;;<Value>@@FAMILYMEMBERPROBLEMCODE@@</Value>
 ;;<CodingSystem>@@FAMILYMEMBERCODESYSTEM@@</CodingSystem>
 ;;<Version>@@FAMILYMEMBERCODEVERSION@@</Version>
 ;;</Code>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@FAMILYMEMBERPROBLEMSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Problem>
 ;;</FamilyProblemHistory>
 ;;</FamilyHistory>
 ;;<SocialHistory>
 ;;<SocialHistoryElement>
 ;;<CCRDataObjectID>@@SOCIALHISTORYOBJECTID@@</CCRDataObjectID>
 ;;<Type>
 ;;<Text>@@SOCIALHISTORYTYPETEXT@@</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>@@SOCIALHISTORYDESCRIPTIONTEXT@@</Text>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@SOCIALHISTORYSOURCACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</SocialHistoryElement>
 ;;<SocialHistoryElement>
 ;;<CCRDataObjectID>BB0005</CCRDataObjectID>
 ;;<Type>
 ;;<Text>Ethnic Origin</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>Not Hispanic or Latino</Text>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>AA0001</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</SocialHistoryElement>
 ;;<SocialHistoryElement>
 ;;<CCRDataObjectID>BB0006</CCRDataObjectID>
 ;;<Type>
 ;;<Text>Race</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>White</Text>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>AA0001</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</SocialHistoryElement>
 ;;<SocialHistoryElement>
 ;;<CCRDataObjectID>BB0007</CCRDataObjectID>
 ;;<Type>
 ;;<Text>Occupation</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>Physician</Text>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>AA0001</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</SocialHistoryElement>
 ;;</SocialHistory>
 ;;<Alerts>
 ;;<Alert>
 ;;<CCRDataObjectID>@@ALERTOBJECTID@@</CCRDataObjectID>
 ;;<Type>
 ;;<Text>@@ALERTTYPE@@</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>@@ALERTDESCRIPTIONTEXT@@</Text>
 ;;<Code>
 ;;<Value>@@ALERTCODEVALUE@@</Value>
 ;;<CodingSystem>@@ALERTCODESYSTEM@@</CodingSystem>
 ;;</Code>
 ;;</Description>
 ;;<Status>
 ;;<Text>@@ALERTSTATUSTEXT@@</Text>
 ;;</Status>
 ;;<DateTime>
 ;;<ExactDateTime>@@ALERTDATETIME@@</ExactDateTime>
 ;;</DateTime>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@ALERTSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;<Agent>
 ;;<Products>
 ;;<Product>
 ;;<CCRDataObjectID>@@ALERTAGENTPRODUCTOBJECTID@@</CCRDataObjectID>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@ALERTAGENTPRODUCTSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;<ProductName>
 ;;<Text>@@ALERTAGENTPRODUCTNAMETEXT@@</Text>
 ;;<Code>
 ;;<Value>@@ALERTAGENTPRODUCTCODEVALUE@@</Value>
 ;;<CodingSystem>@@ALERTAGENTPRODUCTCODESYSTEM@@</CodingSystem>
 ;;</Code>
 ;;</ProductName>
 ;;</Product>
 ;;</Products>
 ;;</Agent>
 ;;<Reaction>
 ;;<Description>
 ;;<Text>@@ALERTREACTIOINDESCRIPTIONTEXT@@</Text>
 ;;<Code>
 ;;<Value>@@ALERTREACTIONCODEVALUE@@</Value>
 ;;<CodingSystem>@@ALERTREACTIONCODESYSTEM@@</CodingSystem>
 ;;</Code>
 ;;</Description>
 ;;</Reaction>
 ;;</Alert>
 ;;</Alerts>
 ;;<Medications>
 ;;<Medication>
 ;;<CCRDataObjectID>@@MEDOBJECTID@@</CCRDataObjectID>
 ;;<DateTime>
 ;;<Type>
 ;;<Text>@@MEDISSUEDATETXT@@</Text>
 ;;</Type>
 ;;<ExactDateTime>@@MEDISSUEDATE@@</ExactDateTime>
 ;;<Type>
 ;;<Text>@@MEDLASTFILLDATETXT@@</Text>
 ;;</Type>
 ;;<ExactDateTime>@@MEDLASTFILLDATE@@</ExactDateTime>
 ;;</DateTime>
 ;;<IDs>
 ;;<Type>
 ;;<Text>@@MEDRXNOTXT@@</Text>
 ;;</Type>
 ;;<ID>@@MEDRXNO@@</ID>
 ;;</IDs>
 ;;<Type>
 ;;<Text>@@MEDTYPETEXT@@</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>@@MEDDETAILUNADORNED@@</Text>
 ;;</Description>
 ;;<Status>
 ;;<Text>@@MEDSTATUSTEXT@@</Text>
 ;;</Status>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@MEDSOURCEACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;<Product>
 ;;<ProductName>
 ;;<Text>@@MEDPRODUCTNAMETEXT@@</Text>
 ;;<Code>
 ;;<Value>@@MEDPRODUCTNAMECODEVALUE@@</Value>
 ;;<CodingSystem>@@MEDPRODUCTNAMECODINGINGSYSTEM@@</CodingSystem>
 ;;<Version>@@MEDPRODUCTNAMECODEVERSION@@</Version>
 ;;</Code>
 ;;</ProductName>
 ;;<BrandName>
 ;;<Text>@@MEDBRANDNAMETEXT@@</Text>
 ;;</BrandName>
 ;;<Strength>
 ;;<Value>@@MEDSTRENGTHVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@MEDSTRENGTHUNIT@@</Unit>
 ;;</Units>
 ;;</Strength>
 ;;<Form>
 ;;<Text>@@MEDFORMTEXT@@</Text>
 ;;</Form>
 ;;<Concentration>
 ;;<Value>@@MEDCONCVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@MEDCONCUNIT@@</Unit>
 ;;</Units>
 ;;</Concentration>
 ;;</Product>
 ;;<Quantity>
 ;;<Value>@@MEDQUANTITYVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@MEDQUANTITYUNIT@@</Unit>
 ;;</Units>
 ;;</Quantity>
 ;;<Directions>
 ;;<Direction>
 ;;<Description>
 ;;<Text>@@MEDDIRECTIONDESCRIPTIONTEXT@@</Text>
 ;;</Description>
 ;;<DoseIndicator>
 ;;<Text>@@MEDDOSEINDICATOR@@</Text>
 ;;</DoseIndicator>
 ;;<DeliveryMethod>
 ;;<Text>@@MEDDELIVERYMETHOD@@</Text>
 ;;</DeliveryMethod>
 ;;<Dose>
 ;;<Value>@@MEDDOSEVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@MEDDOSEUNIT@@</Unit>
 ;;</Units>
 ;;<Rate>
 ;;<Value>@@MEDRATEVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@MEDRATEUNIT@@</Unit>
 ;;</Units>
 ;;</Rate>
 ;;</Dose>
 ;;<Vehicle>
 ;;<Text>@@MEDVEHICLETEXT@@</Text>
 ;;</Vehicle>
 ;;<Route>
 ;;<Text>@@MEDDIRECTIONROUTETEXT@@</Text>
 ;;</Route>
 ;;<Frequency>
 ;;<Value>@@MEDFREQUENCYVALUE@@</Value>
 ;;</Frequency>
 ;;<Interval>
 ;;<Value>@@MEDINTERVALVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@MEDINTERVALUNIT@@</Unit>
 ;;</Units>
 ;;</Interval>
 ;;<Duration>
 ;;<Value>@@MEDDURATIONVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@MEDDURATIONUNIT@@</Unit>
 ;;</Units>
 ;;</Duration>
 ;;<Indication>
 ;;<PRNFlag>
 ;;<Text>@@MEDPRNFLAG@@</Text>
 ;;</PRNFlag>
 ;;<Problem>
 ;;<CCRDataObjectID>@@MEDPROBLEMOBJECTID@@</CCRDataObjectID>
 ;;<Type>
 ;;<Text>@@MEDPROBLEMTYPETXT@@</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>@@MEDPROBLEMDESCRIPTION@@</Text>
 ;;<Code>
 ;;<Value>@@MEDPROBLEMCODEVALUE@@</Value>
 ;;<CodingSystem>@@MEDPROBLEMCODINGSYSTEM@@</CodingSystem>
 ;;<Version>@@MEDPROBLEMCODINGVERSION@@</Version>
 ;;</Code>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@MEDPROBLEMSOURCEACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Problem>
 ;;</Indication>
 ;;<StopIndicator>
 ;;<Text>@@MEDSTOPINDICATOR@@</Text>
 ;;</StopIndicator>
 ;;<DirectionSequenceModifier>@@MEDDIRSEQ@@</DirectionSequenceModifier>
 ;;<MultipleDirectionModifier>
 ;;<Text>@@MEDMULDIRMOD@@</Text>
 ;;</MultipleDirectionModifier>
 ;;</Direction>
 ;;</Directions>
 ;;<PatientInstructions>
 ;;<Instruction>@@MEDPTINSTRUCTIONS@@</Instruction>
 ;;</PatientInstructions>
 ;;<FullfillmentInstructions>
 ;;<Text>@@MEDFULLFILLMENTINSTRUCTIONS@@</Text>
 ;;</FullfillmentInstructions>
 ;;<Refills>
 ;;<Refill>
 ;;<Number>@@MEDRFNO@@</Number>
 ;;</Refill>
 ;;</Refills>
 ;;</Medication>
 ;;</Medications>
 ;;<VitalSigns>
 ;;<Result>
 ;;<CCRDataObjectID>@@VITALSIGNSDATAOBJECTID@@</CCRDataObjectID>
 ;;<DateTime>
 ;;<Type>
 ;;<Text>@@VITALSIGNSDATETIMETYPETEXT@@</Text>
 ;;</Type>
 ;;<ExactDateTime>@@VITALSIGNSEXACTDATETIME@@</ExactDateTime>
 ;;</DateTime>
 ;;<Description>
 ;;<Text>@@VITALSIGNSDESCRIPTIONTEXT@@</Text>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@VITALSIGNSSOURCEACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;<Test>
 ;;<CCRDataObjectID>@@VITALSIGNSTESTOBJECTID@@</CCRDataObjectID>
 ;;<Type>
 ;;<Text>@@VITALSIGNSTESTTYPETEXT@@</Text>
 ;;</Type>
 ;;<Description>
 ;;<Text>@@VITALSIGNSDESCRIPTIONTEXT@@</Text>
 ;;<Code>
 ;;<Value>@@VITALSIGNSDESCCODEVALUE@@</Value>
 ;;<CodingSystem>@@VITALSIGNSDESCCODINGSYSTEM@@</CodingSystem>
 ;;<Version>@@VITALSIGNSCODEVERSION@@</Version>
 ;;</Code>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@VITALSIGNSTESTSOURCEACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;<TestResult>
 ;;<Value>@@VITALSIGNSTESTRESULTVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@VITALSIGNSTESTRESULTUNIT@@</Unit>
 ;;</Units>
 ;;</TestResult>
 ;;</Test>
 ;;</Result>
 ;;</VitalSigns>
 ;;<Results>
 ;;<Result>
 ;;<CCRDataObjectID>@@RESULTOBJECTID@@</CCRDataObjectID>
 ;;<DateTime>
 ;;<Type>
 ;;<Text>Assessment Time</Text>
 ;;</Type>
 ;;<ExactDateTime>@@RESULTASSESSMENTDATETIME@@</ExactDateTime>
 ;;</DateTime>
 ;;<Description>
 ;;<Text>@@RESULTDESCRIPTIONTEXT@@</Text>
 ;;<Code>
 ;;<Value>@@RESULTCODE@@</Value>
 ;;<CodingSystem>@@RESULTCODINGSYSTEM@@</CodingSystem>
 ;;</Code>
 ;;</Description>
 ;;<Status>
 ;;<Text>@@RESULTSTATUS@@</Text>
 ;;</Status>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@RESULTSOURCEACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;<Test>
 ;;<CCRDataObjectID>@@RESULTTESTOBJECTID@@</CCRDataObjectID>
 ;;<DateTime>
 ;;<Type>
 ;;<Text>Assessment Time</Text>
 ;;</Type>
 ;;<ExactDateTime>@@RESULTTESTDATETIME@@</ExactDateTime>
 ;;</DateTime>
 ;;<Description>
 ;;<Text>@@RESULTTESTDESCRIPTIONTEXT@@</Text>
 ;;<Code>
 ;;<Value>@@RESULTTESTCODEVALUE@@</Value>
 ;;<CodingSystem>@@RESULTTESTCODINGSYSTEM@@</CodingSystem>
 ;;</Code>
 ;;</Description>
 ;;<Status>
 ;;<Text>@@RESULTTESTSTATUSTEXT@@</Text>
 ;;</Status>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@RESULTTESTSOURCEACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;<TestResult>
 ;;<Value>@@RESULTTESTVALUE@@</Value>
 ;;<Units>
 ;;<Unit>@@RESULTTESTUNITS@@</Unit>
 ;;</Units>
 ;;</TestResult>
 ;;<NormalResult>
 ;;<Normal>
 ;;<Description>
 ;;<Text>@@RESULTTESTNORMALDESCTEXT@@</Text>
 ;;</Description>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@RESULTTESTNORMALSOURCEACTORID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Normal>
 ;;</NormalResult>
 ;;<Flag>
 ;;<Text>@@RESULTTESTFLAG@@</Text>
 ;;</Flag>
 ;;</Test>
 ;;</Result>
 ;;</Results>
 ;;<HealthCareProviders>
 ;;<Provider>
 ;;<ActorID>AA0005</ActorID>
 ;;<ActorRole>
 ;;<Text>Primary Provider</Text>
 ;;</ActorRole>
 ;;</Provider>
 ;;</HealthCareProviders>
 ;;</Body>
 ;;<Actors>
 ;;<ACTOR-PATIENT>
 ;;<Actor>
 ;;<ActorObjectID>@@ACTOROBJECTID@@</ActorObjectID>
 ;;<Person>
 ;;<Name>
 ;;<CurrentName>
 ;;<Given>@@ACTORGIVENNAME@@</Given>
 ;;<Middle>@@ACTORMIDDLENAME@@</Middle>
 ;;<Family>@@ACTORFAMILYNAME@@</Family>
 ;;</CurrentName>
 ;;</Name>
 ;;<DateOfBirth>
 ;;<ExactDateTime>@@ACTORDATEOFBIRTH@@</ExactDateTime>
 ;;</DateOfBirth>
 ;;<Gender>
 ;;<Text>@@ACTORGENDER@@</Text>
 ;;<Code>
 ;;<Value>@@ACTORGENDER@@</Value>
 ;;<CodingSystem>2.16.840.1.113883.5.1</CodingSystem>
 ;;</Code>
 ;;</Gender>
 ;;</Person>
 ;;<IDs>
 ;;<Type>
 ;;<Text>@@ACTORSSNTEXT@@</Text>
 ;;</Type>
 ;;<ID>@@ACTORSSN@@</ID>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@ACTORSSNSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</IDs>
 ;;<Address>
 ;;<Type>
 ;;<Text>@@ACTORADDRESSTYPE@@</Text>
 ;;</Type>
 ;;<Line1>@@ACTORADDRESSLINE1@@</Line1>
 ;;<Line2>@@ACTORADDRESSLINE2@@</Line2>
 ;;<City>@@ACTORADDRESSCITY@@</City>
 ;;<State>@@ACTORADDRESSSTATE@@</State>
 ;;<PostalCode>@@ACTORADDRESSZIPCODE@@</PostalCode>
 ;;</Address>
 ;;<Telephone>
 ;;<Value>@@ACTORRESTEL@@</Value>
 ;;<Type>
 ;;<Text>@@ACTORRESTELTEXT@@</Text>
 ;;</Type>
 ;;</Telephone>
 ;;<Telephone>
 ;;<Value>@@ACTORWORKTEL@@</Value>
 ;;<Type>
 ;;<Text>@@ACTORWORKTELTEXT@@</Text>
 ;;</Type>
 ;;</Telephone>
 ;;<Telephone>
 ;;<Value>@@ACTORCELLTEL@@</Value>
 ;;<Type>
 ;;<Text>@@ACTORCELLTELTEXT@@</Text>
 ;;</Type>
 ;;</Telephone>
 ;;<EMail>
 ;;<Value>@@ACTOREMAIL@@</Value>
 ;;</EMail>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@ACTORADDRESSSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Actor>
 ;;</ACTOR-PATIENT>
 ;;<ACTOR-SYSTEM>
 ;;<Actor>
 ;;<ActorObjectID>@@ACTOROBJECTID@@</ActorObjectID>
 ;;<InformationSystem>
 ;;<Name>@@ACTORINFOSYSNAME@@</Name>
 ;;<Version>@@ACTORINFOSYSVER@@</Version>
 ;;</InformationSystem>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@ACTORINFOSYSSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Actor>
 ;;</ACTOR-SYSTEM>
 ;;<ACTOR-NOK>
 ;;<Actor>
 ;;<ActorObjectID>AA0003</ActorObjectID>
 ;;<Person>
 ;;<Name>
 ;;<DisplayName>@@ACTORDISPLAYNAME@@</DisplayName>
 ;;</Name>
 ;;</Person>
 ;;<Relation>
 ;;<Text>@@ACTORRELATION@@</Text>
 ;;</Relation>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@ACTORRELATIONSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Actor>
 ;;</ACTOR-NOK>
 ;;<ACTOR-PROVIDER>
 ;;<Actor>
 ;;<ActorObjectID>@@ACTOROBJECTID@@</ActorObjectID>
 ;;<Person>
 ;;<Name>
 ;;<CurrentName>
 ;;<Given>@@ACTORGIVENNAME@@</Given>
 ;;<Middle>@@ACTORMIDDLENAME@@</Middle>
 ;;<Family>@@ACTORFAMILYNAME@@</Family>
 ;;<Title>@@ACTORTITLE@@</Title>
 ;;</CurrentName>
 ;;</Name>
 ;;</Person>
 ;;<IDs>
 ;;<Type>
 ;;<Text>@@IDTYPE@@</Text>
 ;;</Type>
 ;;<ID>@@ID@@</ID>
 ;;<IssuedBy>
 ;;<Description>
 ;;<Text>@@IDDESC@@</Text>
 ;;</Description>
 ;;</IssuedBy>
 ;;</IDs>
 ;;<Specialty>
 ;;<Text>@@ACTORSPECIALITY@@</Text>
 ;;</Specialty>
 ;;<Address>
 ;;<Type>
 ;;<Text>@@ACTORADDRESSTYPE@@</Text>
 ;;</Type>
 ;;<Line1>@@ACTORADDRESSLINE1@@</Line1>
 ;;<City>@@ACTORADDRESSCITY@@</City>
 ;;<State>@@ACTORADDRESSSTATE@@</State>
 ;;<PostalCode>@@ACTORPOSTALCODE@@</PostalCode>
 ;;</Address>
 ;;<Telephone>
 ;;<Value>@@ACTORTELEPHONE@@</Value>
 ;;<Type>
 ;;<Text>@@ACTORTELEPHONETYPE@@</Text>
 ;;</Type>
 ;;</Telephone>
 ;;<Email>
 ;;<Value>@@ACTOREMAIL@@</Value>
 ;;</Email>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@ACTORSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Actor>
 ;;</ACTOR-PROVIDER>
 ;;<ACTOR-ORG>
 ;;<Actor>
 ;;<ActorObjectID>@@ACTOROBJECTID@@</ActorObjectID>
 ;;<Organization>
 ;;<Name>@@ORGANIZATIONNAME@@</Name>
 ;;</Organization>
 ;;<Source>
 ;;<Actor>
 ;;<ActorID>@@ACTORSOURCEID@@</ActorID>
 ;;</Actor>
 ;;</Source>
 ;;</Actor>
 ;;</ACTOR-ORG>
 ;;</Actors>
 ;;<Signatures>
 ;;<CCRSignature>
 ;;<SignatureObjectID>S0001</SignatureObjectID>
 ;;<ExactDateTime>2008-03-18T23:10:58Z</ExactDateTime>
 ;;<Source>
 ;;<ActorID>AA0001</ActorID>
 ;;</Source>
 ;;<Signature>
 ;;<Signature xmlns="http://www.w3.org/2000/09/xmldsig#">
 ;;<SignedInfo>
 ;;<CanonicalizationMethod Algorithm="http://www.w3.org/TR/2001/REC-xml-c14n-20010315"/>
 ;;<SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/>
 ;;<Reference URI="">
 ;;<Transforms>
 ;;<Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/>
 ;;</Transforms>
 ;;<DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>
 ;;<DigestValue>YFveLLyo+75P7rSciv0/m1O6Ot4=</DigestValue>
 ;;</Reference>
 ;;</SignedInfo>
 ;;<SignatureValue>Bj6sACXl74hrlbUYnu8HqnRab5VGy69BOYjOH7dETxgppXMEd7AoVYaePZvgJft78JR4oQY76hbFyGcIslYauPpJxx2hCd5d56xFeaQg01R6AQOvGnhjlq63TbpFdUq0B4tYsmiibJPbQJhTQe+TcWTBvWaQt8Fkk5blO571YvI=</SignatureValue>
 ;;<KeyInfo>
 ;;<KeyValue>
 ;;<RSAKeyValue>
 ;;<Modulus>meH817QYol+/uUEg6j8Mg89s7GTlaN9B+/CGlzrtnQH+swMigZRnEPxHVO8PhEymP/W9nlhAjTScV/CUzA9yJ9WiaOn17c+KReKhfBqL24DX9BpbJ+kLYVz7mBO5Qydk5AzUT2hFwW93irD8iRKP+/t+2Mi2CjNfj8VTjJpHpm0=</Modulus>
 ;;<Exponent>AQAB</Exponent>
 ;;</RSAKeyValue>
 ;;</KeyValue>
 ;;</KeyInfo>
 ;;</Signature>
 ;;</Signature>
 ;;</CCRSignature>
 ;;</Signatures>
 ;;</ContinuityOfCareRecord>
 ;</TEMPLATE>
